			;Blank_F628.asm
        		;Project:
			; use internal 4MHz oscillator	
	LIST    P=16F628	;f=inhx8m
#include "P16F628.inc"			
	__CONFIG _CP_OFF  &_BODEN_OFF &_PWRTE_OFF &_WDT_OFF  &_LVP_OFF &_MCLRE_OFF &_INTRC_OSC_NOCLKOUT

			;PIC6F628 Files  
			;20h General Purpose - first file!
			;21h General Purpose
			;22h General Purpose
			;23h General Purpose
			;24h General Purpose
			;25h General Purpose
			;26h General Purpose
			;27h General Purpose			
			;28h General Purpose 
			;29h General Purpose
			;2Ah General Purpose 
			
			;2Fh General Purpose
			;30h delay routines etc
			;31h delay routines etc
			;32h delay routines etc
			;33h for long delay etc

			;3Eh for flag bits etc
			;3Fh for flag bits etc




SetUp	ORG 0		;This is the start of memory for the program.
	MOVLW 07	;Disable the comparators
	MOVWF 1Fh	;File 1F is the CMCON file
	BSF 03,5	;Go to Bank 1
	CLRF 06		;Make all port B output
	MOVLW 030h	;Load W with 0011 0000
	MOVWF 05	;Make RA0,1,2,3,6 output RA4 and 5 input
	BCF 03,5	;Go to Bank 0 - the program memory area.
	CLRF 3F		;Clear the button-press file
	CLRF 05		;Clear the output lines of PortA
	CLRF 06		;Blank the output	
	GOTO Main

Table1	ADDWF 02,1	;
	RETLW 0A1h	
	RETLW 32h
	

Del1	NOP		;Create delay
	DECFSZ 30h,1
	GOTO Del1
	DECFSZ 31h,1
	GOTO Del1
	RETURN	


Main	MOVLW 020h	;Loops of Main for flashing cursor
	MOVWF 022h	;File to decrement
	BTFSC 2F,0	;ButtonA pressed first time?		
	
	GOTO Main

	END		;Tells assembler end of program

